Status: Testing Start date: 2017-06-07
Description

Attached are two examples of parsed log files describing PIDs which failed to sync. The log files contain excerpts from different areas

of logs including Metacat and d1-synchronization. Of particular interest is the Synchronization logs which in both cases report "Not

Found", but in response to different conditions. In the one case, the sync failed because the CN was given a manual synchronization

request but passed a PID that it could not locate on the MN (the node operator had attempted to escape PID characters and it was

unneeded in this case). In the second case, the CN recognized a legitimate PID but the bytes of the object were missing. 

Some differentiation in the error messages could be more helpful in identifying what went wrong during a sync. 

Subtasks:

Task # 8110: metacat.EventLog.getReport should downgrade a log.WARN to log.DEBUG Closed

Task # 8111: D1ResourceHandler.serializeException should not log all exceptions returne... Closed

Associated revisions

Revision 18856 - 2017-07-11 19:19 - Rob Nahf

refs #8106: (copied from trunk): added cause to the UnrecoverableException thrown when ServiceFailure from cn.create.  This is important (we

believe) to get the real cause in the SynchronizationFailure sent back to the MN.  Also adding the description of cause for sync failed to description of

UnrecoverableException.

Revision 18856 - 2017-07-11 19:19 - Rob Nahf

refs #8106: (copied from trunk): added cause to the UnrecoverableException thrown when ServiceFailure from cn.create.  This is important (we

believe) to get the real cause in the SynchronizationFailure sent back to the MN.  Also adding the description of cause for sync failed to description of

UnrecoverableException.

History

#1 - 2017-06-07 02:36 - Rob Nahf

- File improperly.html added

- Status changed from New to In Progress

- % Done changed from 0 to 30

Log snippets difficult to work through, so I scripted a reparser to chronologically sort, and interleave log entries, and filter by log level.  (See attached. 

It's html, so open with browser).

In the first file, there's something wrong with the timestamps from Metacat - those entries are June 17, instead of May 17th.  (today is June 6th).

#2 - 2017-06-27 16:37 - Dave Vieglais

- Target version set to CCI-2.3.6
#3 - 2017-07-14 19:33 - Rob Nahf

found mistake in one of the logging statements that didn't include the exception as a cause when wrapping in UnrecoverableException.  This could

have caused the message in the sync failed not to be populated.  Also added the exception name to another logging statement for a generic

exception catch.

Deployed in CCI 2.3.5  (d1_synchornization 2.3.4)

#4 - 2017-10-30 19:09 - Jing Tao

- Target version changed from CCI-2.3.6 to CCI-2.3.7

#5 - 2017-12-26 18:20 - Dave Vieglais

- Sprint set to CCI-2.3.7

#6 - 2018-02-20 16:57 - Rob Nahf

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

Files

improperly_escaped_PID_2017-06-01t.txt 179 KB 2017-06-06 Monica Ihli

bytes_missing_22017-04-26.txt 36.1 KB 2017-06-06 Monica Ihli

improperly.html 176 KB 2017-06-07 Rob Nahf
